// Mobile menu toggle
const menuBtn = document.querySelector('.mobile-menu-btn');
const navLinks = document.querySelector('.nav-links');

menuBtn.addEventListener('click', () => {
  navLinks.classList.toggle('active');
});

// Animated pony movement
const pony = document.querySelector('.pony');
let direction = 1;
let position = 0;

function movePony() {
  position += direction;
  
  if (position > 50 || position < -50) {
    direction *= -1;
  }
  
  pony.style.left = `calc(50% + ${position}px)`;
  requestAnimationFrame(movePony);
}

movePony();

// Interactive tags
const tags = document.querySelectorAll('.tag');
tags.forEach(tag => {
  tag.addEventListener('click', () => {
    tag.style.background = `hsl(${Math.random() * 360}, 70%, 60%)`;
  });
});

// Smooth scroll for navigation links
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});

// Add loading animation for posts
const posts = document.querySelectorAll('.post');
posts.forEach(post => {
  post.addEventListener('click', () => {
    post.style.transform = 'scale(0.98)';
    setTimeout(() => {
      post.style.transform = 'translateY(-5px)';
    }, 200);
  });
});
